FindWritable (Hyperic HQ Plugin API)
Keywords: org.hyperic.tools.ant.FindWritable class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.tools.ant
Class FindWritable

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.hyperic.tools.ant.FindWritable

    public class FindWritable

extends org.apache.tools.ant.Task

An ant task that find a place to write a file.

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`FindWritable()`

Method Summary
`void` | `addText(java.lang.String msg)`
`void` | `execute()`
`void` | `setAltDirPrefix(java.lang.String altdirprefix)`
`void` | `setFilename(java.lang.String filename)`
`void` | `setPreferredDir(java.lang.String path)`
`void` | `setProperty(java.lang.String propName)`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FindWritable

    public FindWritable()

Method Detail

### setProperty

    public void setProperty(java.lang.String propName)

### setPreferredDir

    public void setPreferredDir(java.lang.String path)

### setFilename

    public void setFilename(java.lang.String filename)

### setAltDirPrefix

    public void setAltDirPrefix(java.lang.String altdirprefix)

### addText

    public void addText(java.lang.String msg)

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Overrides:
    `execute` in class `org.apache.tools.ant.Task`
  Throws:
    `org.apache.tools.ant.BuildException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.